Watchlist not updating
Closed, ResolvedPublic

Description

Author: bugs

Description:
Watchlists don't seem to be updating with more recent edits to watched pages.


Version: 1.5.x
Severity: major
URL: http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:36 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz2647.
bzimport created this task.Via LegacyJul 1 2005, 2:01 PM
bzimport added a comment.Via ConduitJul 1 2005, 3:21 PM

anti0918 wrote:

I can confirm this. Articles in my watchlist are remaining out of date, so it
looks like they're disappearing from my watchlist, when in fact they're just
several days down (despite having been edited within the last couple minutes).
This has never happened to me before today.

This could allow vandals to remain undetected! Consider it high priority.

bzimport added a comment.Via ConduitJul 1 2005, 3:37 PM

pete wrote:

I think I am seeing an instance of the same bug. My watchlist (on en.wikipedia)
is recording no changes since ~11am UTC today (it is now around 3.30pm UTC).
However a know that many changes have been made. I have checked and it is not a
caching issue (or at least not a caching issue at my PC or ISP level).

bzimport added a comment.Via ConduitJul 1 2005, 3:53 PM

anti0918 wrote:

I've also tried adding new articles to my watchlist that were never there
before. They don't show up at all in any time period in my watchlist, despite
being edited numerous times by others over these days. There is definitely
something wrong here.

bzimport added a comment.Via ConduitJul 1 2005, 4:09 PM

Atlant wrote:

Count another affected user (me). I didn't do anything out of the ordinary this
morning. Here's what I think I did:

  1. I called-up the "1 day" version of my Watchlist
  2. Reviewed all the changes on it, and while doing so...
  3. Was inspired to write a new article [[Swept Away by an Unusual Destiny on the

Blue Sea of August]]

  1. Edited a bunch of articles that were linked to the other [[Swept Away]] article
  2. Created a redirect from [[Travolti da un insolito destino nell'azzurro mare

d'agosto]] to [[Swept Away by an Unusual Destiny on the Blue Sea of August]]

  1. (Putting the new article and several others on my watchlist in the process)
  2. Bingo! No new watchlist entries since 11:30 UTC.
  3. Not even for newly-added articles that I edited such as [[Wikipedia:MediaWiki

1.5 bugs]] (and which definitely now appear on my "complete" watchlist).

bzimport added a comment.Via ConduitJul 1 2005, 5:23 PM

garzohugo+mediazilla wrote:

Since 13:00 UTC 1 July 2005, my watchlist has not been updating. This may be
more widespread than it looks.

bzimport added a comment.Via ConduitJul 1 2005, 5:30 PM

scot wrote:

My Watchlist seems unusually quiet the last few hours. When I edited one of the
few recently altered articles, that entry vanished from the display of recently
changed articles. Perhaps recently altered articles are not being displayed?

bzimport added a comment.Via ConduitJul 1 2005, 5:45 PM

spyders wrote:

Vanilla Ninja isn't appearing on my watchlist at the moment.

bzimport added a comment.Via ConduitJul 1 2005, 5:47 PM

rwashburn wrote:

Not WORKING

FIX NOW!!!

bzimport added a comment.Via ConduitJul 1 2005, 6:02 PM

rasputinaxp wrote:

My watchlist is missing pages that were added last night and were appearing last
night afterwards.

bzimport added a comment.Via ConduitJul 1 2005, 6:05 PM

lethe wrote:

watchlist definitely not showing any new edits since about 2 hours

bzimport added a comment.Via ConduitJul 1 2005, 6:08 PM

kevin wrote:

My watchlist on en.wikipedia.org includes the article Polygamy. However,
changes to polygamy are not showing up on my watchlist. Other changes do show
up on the watchlist.

bzimport added a comment.Via ConduitJul 1 2005, 6:11 PM

michael wrote:

Mine was working fine until a couple of hours ago. Now most of the articles edited today are just gone. I
can't figure out the pattern.

bzimport added a comment.Via ConduitJul 1 2005, 6:13 PM

who wrote:

It seems that only the [[en:Wikipedia:Village pump (technical)]] page is not
showing on my watchlist. However, I do have two occurences of
[[en:Wikipedia:Village pump (assistance)]]. I have removed them both and
re-added, to the watchlist, and still same result. I showed all,and it's not
even in the previous "hidden" days.

Thanks
[[en:User:Who]]

bzimport added a comment.Via ConduitJul 1 2005, 6:19 PM

david wrote:

As a temporary work-around, you can copy your entire list of articles to a new
user subpage, make all the article titles [[links]], then click "related changes".

bzimport added a comment.Via ConduitJul 1 2005, 6:21 PM

vaughan wrote:

My watchlist hasn't updated and wikipedia has lost the changes I made this
afternoon.

bzimport added a comment.Via ConduitJul 1 2005, 6:29 PM

katefan0 wrote:

I'm also experiencing this. My watchlist hasn't been updated since the wee hours of the
morning, it seems. Also, it's shrunk since earlier today... i.e., I had about four items
showing for July 1 as of a few hours ago, and now I only have two. Argh! How can I
obsessively check my watchlist if it's not updating? =)

bzimport added a comment.Via ConduitJul 1 2005, 6:39 PM

steveblock wrote:

(In reply to comment #0)

Watchlists don't seem to be updating with more recent edits to watched pages.

Another victime, no update since 11 am UTC

bzimport added a comment.Via ConduitJul 1 2005, 6:48 PM

sanityormadness wrote:

Only one page has updated since 11:24am UTC, and even that has since
disappeared, despite me personally editing many pages and confirming that others
have edited pages on my Watchlist too.

bzimport added a comment.Via ConduitJul 1 2005, 7:19 PM

fjmd1 wrote:

I too have this problem. My watchlist seems frozen at 08:48 GMT on 1 July 2005.
I haven't tried fiddling around watching/unwatching. This appears to be a
serious and prevalent (and new) bug.

bzimport added a comment.Via ConduitJul 1 2005, 7:35 PM

katefan0 wrote:

Strange. Watching/unwatching doesn't help. Also editing pages doesn't help. But I just
created a new user temp page to implement the temporary workaround helpfully suggested above,
and THAT is showing up on my watchlist. Weird.

bzimport added a comment.Via ConduitJul 1 2005, 7:36 PM

ragibhasan wrote:

My watchlist stopped updating from 5 am US central time....

bzimport added a comment.Via ConduitJul 1 2005, 7:38 PM

arwel wrote:

My watchlist last updated at 11:31 UTC. I dread to think what the vandals are up to!

bzimport added a comment.Via ConduitJul 1 2005, 7:55 PM

bugs wrote:

*** Bug 2654 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJul 1 2005, 8:13 PM

katefan0 wrote:

Interesting. More items have now dropped off my watchlist.

bzimport added a comment.Via ConduitJul 1 2005, 8:22 PM

jens wrote:

On the german Wiki there was vandalism a few minutes ago on the main page.
Please solve this bug soon. We will get in big trouble if we can't monitor changes.

brion added a comment.Via ConduitJul 1 2005, 8:24 PM

This cause of this problem is now understood, a fix is being made...

brion added a comment.Via ConduitJul 1 2005, 9:03 PM

This was the result of a bad interaction between an experimental database optimization in the
watchlist, and a fix for a minor issue in recentchanges which broke the assumptions the watchlist
optimization hack was based on.

It's been worked around for now, but some cleanup may need to be done.

bzimport added a comment.Via ConduitJul 1 2005, 9:20 PM

sanityormadness wrote:

The fix appears to have blanked my watchlist completely of edits made before its implementation.

bzimport added a comment.Via ConduitJul 1 2005, 9:21 PM

river wrote:

yes, it will do that.

brion added a comment.Via ConduitJul 1 2005, 9:49 PM
  • Bug 2657 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitJul 1 2005, 9:49 PM

I'm reopening this as not all of the kinks have been worked out yet.
Broken entries need to be fixed.

bzimport added a comment.Via ConduitJul 1 2005, 10:23 PM

order wrote:

If this helps at all--I took the suggestion to convert all 1500 watchlist
entries to links, clicked Related Changes--and get exactly the same incomplete
list that I get for clicking My Watchlist.

bzimport added a comment.Via ConduitJul 1 2005, 11:47 PM

river wrote:

most of the older changes should have appeared now.

bzimport added a comment.Via ConduitJul 2 2005, 12:52 AM

river wrote:

*** Bug 2660 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJul 2 2005, 7:27 PM

sanityormadness wrote:

Edits prior to the 11:24 UTC Jul 1 cutoff have reappeared now, but the "in-between" edits seem to have been lost forever

Add Comment